<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hmef.attribute.MAPIAttribute (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hmef.attribute.MAPIAttribute (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html"
               title="class in org.apache.poi.hmef.attribute">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hmef/attribute/class-use/MAPIAttribute.html"
               target="_top">Frames</a></li>
        <li><a href="MAPIAttribute.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hmef.attribute.MAPIAttribute" class="title">Uses of Class<br>org.apache.poi.hmef.attribute.MAPIAttribute
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html"
                        title="class in org.apache.poi.hmef.attribute">MAPIAttribute</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hmef">org.apache.poi.hmef</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hmef.attribute">org.apache.poi.hmef.attribute</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hmef.extractor">org.apache.poi.hmef.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hmef">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html"
                                   title="class in org.apache.poi.hmef.attribute">MAPIAttribute</a> in <a
                            href="../../../../../../org/apache/poi/hmef/package-summary.html">org.apache.poi.hmef</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../../org/apache/poi/hmef/package-summary.html">org.apache.poi.hmef</a> that return <a
                                href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html"
                                title="class in org.apache.poi.hmef.attribute">MAPIAttribute</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">MAPIAttribute</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Attachment.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/Attachment.html#getMAPIAttribute-org.apache.poi.hsmf.datatypes.MAPIProperty-">getMAPIAttribute</a></span>(<a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                    title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a>&nbsp;id)</code>
                                <div class="block">Return the attachment MAPI Attribute with the given ID,
                                    or null if there isn't one.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">MAPIAttribute</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HMEFMessage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/HMEFMessage.html#getMessageMAPIAttribute-org.apache.poi.hsmf.datatypes.MAPIProperty-">getMessageMAPIAttribute</a></span>(<a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                    title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a>&nbsp;id)</code>
                                <div class="block">Return the message MAPI Attribute with the given ID,
                                    or null if there isn't one.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../../org/apache/poi/hmef/package-summary.html">org.apache.poi.hmef</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html"
                                title="class in org.apache.poi.hmef.attribute">MAPIAttribute</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">MAPIAttribute</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">Attachment.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/Attachment.html#getMAPIAttributes--">getMAPIAttributes</a></span>()</code>
                                <div class="block">Returns all MAPI attributes of the attachment,
                                    such as extension, encoding, size and position
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">MAPIAttribute</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HMEFMessage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/HMEFMessage.html#getMessageMAPIAttributes--">getMessageMAPIAttributes</a></span>()</code>
                                <div class="block">Returns all MAPI attributes of the message.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hmef.attribute">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html"
                                   title="class in org.apache.poi.hmef.attribute">MAPIAttribute</a> in <a
                            href="../../../../../../org/apache/poi/hmef/attribute/package-summary.html">org.apache.poi.hmef.attribute</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html"
                                title="class in org.apache.poi.hmef.attribute">MAPIAttribute</a> in <a
                                href="../../../../../../org/apache/poi/hmef/attribute/package-summary.html">org.apache.poi.hmef.attribute</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/attribute/MAPIDateAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">MAPIDateAttribute</a></span></code>
                                <div class="block">A pure-MAPI attribute holding a Date, which applies
                                    to a <a href="../../../../../../org/apache/poi/hmef/HMEFMessage.html"
                                            title="class in org.apache.poi.hmef"><code>HMEFMessage</code></a> or one of
                                    its <a href="../../../../../../org/apache/poi/hmef/Attachment.html"
                                           title="class in org.apache.poi.hmef"><code>Attachment</code></a>s.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/attribute/MAPIRtfAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">MAPIRtfAttribute</a></span></code>
                                <div class="block">A pure-MAPI attribute holding RTF (compressed or not), which applies
                                    to a <a href="../../../../../../org/apache/poi/hmef/HMEFMessage.html"
                                            title="class in org.apache.poi.hmef"><code>HMEFMessage</code></a> or one of
                                    its <a href="../../../../../../org/apache/poi/hmef/Attachment.html"
                                           title="class in org.apache.poi.hmef"><code>Attachment</code></a>s.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/attribute/MAPIStringAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">MAPIStringAttribute</a></span></code>
                                <div class="block">A pure-MAPI attribute holding a String, which applies
                                    to a <a href="../../../../../../org/apache/poi/hmef/HMEFMessage.html"
                                            title="class in org.apache.poi.hmef"><code>HMEFMessage</code></a> or one of
                                    its <a href="../../../../../../org/apache/poi/hmef/Attachment.html"
                                           title="class in org.apache.poi.hmef"><code>Attachment</code></a>s.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hmef/attribute/package-summary.html">org.apache.poi.hmef.attribute</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html"
                                title="class in org.apache.poi.hmef.attribute">MAPIAttribute</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">MAPIAttribute</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIAttribute.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html#create-org.apache.poi.hmef.attribute.TNEFAttribute-">create</a></span>(<a
                                    href="../../../../../../org/apache/poi/hmef/attribute/TNEFAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">TNEFAttribute</a>&nbsp;parent)</code>
                                <div class="block">Parses a MAPI Properties TNEF Attribute, and returns
                                    the list of MAPI Attributes contained within it
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">MAPIAttribute</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">TNEFMAPIAttribute.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/attribute/TNEFMAPIAttribute.html#getMAPIAttributes--">getMAPIAttributes</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hmef/attribute/package-summary.html">org.apache.poi.hmef.attribute</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html"
                                title="class in org.apache.poi.hmef.attribute">MAPIAttribute</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static java.util.Date</code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIDateAttribute.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/attribute/MAPIDateAttribute.html#getAsDate-org.apache.poi.hmef.attribute.MAPIAttribute-">getAsDate</a></span>(<a
                                    href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">MAPIAttribute</a>&nbsp;attr)</code>
                                <div class="block">Returns the Date of a Attribute, converting as appropriate</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIStringAttribute.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/attribute/MAPIStringAttribute.html#getAsString-org.apache.poi.hmef.attribute.MAPIAttribute-">getAsString</a></span>(<a
                                    href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">MAPIAttribute</a>&nbsp;attr)</code>
                                <div class="block">Returns the string of a Attribute, converting as appropriate</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hmef.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html"
                                   title="class in org.apache.poi.hmef.attribute">MAPIAttribute</a> in <a
                            href="../../../../../../org/apache/poi/hmef/extractor/package-summary.html">org.apache.poi.hmef.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hmef/extractor/package-summary.html">org.apache.poi.hmef.extractor</a> that return <a
                                href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html"
                                title="class in org.apache.poi.hmef.attribute">MAPIAttribute</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">MAPIAttribute</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HMEFContentsExtractor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/extractor/HMEFContentsExtractor.html#getBodyAttribute--">getBodyAttribute</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html"
               title="class in org.apache.poi.hmef.attribute">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hmef/attribute/class-use/MAPIAttribute.html"
               target="_top">Frames</a></li>
        <li><a href="MAPIAttribute.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
